Loading...
Searching...
No Matches
pcl::common::UniformGenerator< T >::Parameters Struct Reference

`#include <pcl/common/random.h>`

## Public Member Functions

| Parameters (T _min=0, T _max=1, std::uint32_t _seed=1)

## Public Attributes

T | min
T | max
std::uint32_t | seed

## Detailed Description

template<typename T>
struct pcl::common::UniformGenerator< T >::Parameters

Definition at line 81 of file random.h.

## Constructor & Destructor Documentation

## Parameters()

template<typename T >

pcl::common::UniformGenerator< T >::Parameters::Parameters | ( | T | _min = `0`,
|  | T | _max = `1`,
|  | std::uint32_t | _seed = `1`
| ) |  |

inline

Definition at line 83 of file random.h.

## Member Data Documentation

## max

template<typename T >

T pcl::common::UniformGenerator< T >::Parameters::max

Definition at line 90 of file random.h.

## min

template<typename T >

T pcl::common::UniformGenerator< T >::Parameters::min

Definition at line 89 of file random.h.

## seed

template<typename T >

std::uint32_t pcl::common::UniformGenerator< T >::Parameters::seed

Definition at line 91 of file random.h.

Referenced by pcl::common::UniformGenerator< T >::UniformGenerator().

The documentation for this struct was generated from the following file:

- pcl/common/random.h